Debian Bug report logs - #97811
Example rules file should use DESTDIR= instead of prefix=

version graph

Package: dh-make; Maintainer for dh-make is Craig Small <csmall@debian.org>; Source for dh-make is src:dh-make.

Reported by: Matt Zimmerman <mdz@debian.org>

Date: Thu, 17 May 2001 14:07:28 UTC

Severity: wishlist

Tags: wontfix

Found in version 0.26

Fixed in versions dh-make/0.29, dh-make/0.33

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@filibusta.crema.unimi.it>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@filibusta.crema.unimi.it>
To: submit@bugs.debian.org
Subject: dh_make: wrong prefix directory for $(MAKE) install in generated debian/rules
Date: Thu, 17 May 2001 16:03:13 +0200
Package: dh-make
Version: 0.26

when debianizating source tree for single library package, dh_make
puts a wrong destination directory in the install target of debian/rules.

it writes
  $(MAKE) install prefix=$(CURDIR)/debian/libgnurdf
instead of
  $(MAKE) install prefix=$(CURDIR)/debian/libgnurdf/usr

result: packages built this way have strange/unusual directories
on /, lintian (of course) complains a lot.

Linux hehe.clus1 2.4.4 #1 Wed May 2 20:26:09 CEST 2001 i586 unknown
ii  debhelper                  3.0.24                     helper programs for debian/rules
ii  make                       3.79.1-6                   The GNU version of the "make" utility.
ii  perl                       5.6.0-21                   Larry Wall's Practical Extracting and Report Language.
ii  dpkg-dev                   1.9.6                      Package building tools for Debian

-----[ Domenico Andreoli, aka cavok
 --[ http://filibusta.crema.unimi.it/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Merged 97811 113226. Request was from Mark Purcell <mark@purcell.aaa.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Bruce Merry <bmerry@smuts.uct.ac.za>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #12 received at 97811@bugs.debian.org (full text, mbox):

From: Bruce Merry <bmerry@smuts.uct.ac.za>
To: Debian Bug Tracking System <97811@bugs.debian.org>
Subject: dh-make: Correct way to fix it
Date: Sat, 17 Nov 2001 21:49:40 +0200
Package: dh-make
Version: 0.26

Hello

I believe the correct way to fix this is not to add /usr to the line
specifying prefix, but instead to replace

$(MAKE) install prefix=debian/<package>

with

$(MAKE) install DESTDIR=debian/<package>

This is precisely what DESTDIR is designed for: the --prefix, --mandir
and so on passed to configure specify where the package expects to be
installed (so for example the location of config files can be taken
from --sysconfdir). In contrast the DESTDIR variable introduced by
automake is designed for specifying a staging area for package
building.

Bruce
-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux marvin 2.4.14 #1 Thu Nov 15 12:53:22 SAST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages dh-make depends on:
ii  debhelper                     3.0.48     helper programs for debian/rules
ii  dpkg-dev                      1.9.18     Package building tools for Debian
ii  make                          3.79.1-10  The GNU version of the "make" util
ii  perl                          5.6.1-5    Larry Wall's Practical Extraction 




Reply sent to Craig Small <csmall@eye-net.com.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Domenico Andreoli <cavok@filibusta.crema.unimi.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 113226-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@eye-net.com.au>
To: 113226-close@bugs.debian.org
Subject: Bug#113226: fixed in dh-make 0.29
Date: Thu, 14 Feb 2002 14:59:17 -0500
We believe that the bug you reported is fixed in the latest version of
dh-make, which has been installed in the Debian FTP archive:

dh-make_0.29.dsc
  to pool/main/d/dh-make/dh-make_0.29.dsc
dh-make_0.29.tar.gz
  to pool/main/d/dh-make/dh-make_0.29.tar.gz
dh-make_0.29_all.deb
  to pool/main/d/dh-make/dh-make_0.29_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 113226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@eye-net.com.au> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2002 08:50:51 +1100
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.29
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@eye-net.com.au>
Description: 
 dh-make    - Debianizing Tool for debhelper
Closes: 88134 94890 95874 97399 97811 112032 113226 113228 113784 115567 115569 126537 126900 128944 129634 130721 132913 133639
Changes: 
 dh-make (0.29) unstable; urgency=low
 .
   * For packages with configure, install into /usr not /
     Closes: #97811, #113226, #133639, #128944
   * Uses dpkg-architecture Closes: #112032
   * If available, uses autotools-dev which updates config.guess, config.sub
     if needed.
   * lgpg is now lgpl in dh_make.1 Closes: #113228
   * Multi rules file has two build targets Closes: #115569
   * postrm.ex has missing exit 0 Closes: #126900
   * Removed citations of Debian Packaging Manual Closes: #94890
   * Fixed spelling error in rules files Closes: #97399
   * Updated native copyright to 2002 Closes: #132913
   * Renamed ex.doc-base.package to package.doc-base.ex Closes: #130721
   * More and better ldap searching for name and email Closes: #129634
   * Fixed control file for libs Closes: #113784
   * Manual example now just uses Debian distribution Closes: #115567
   * sgml manual example updated to docbook 4.1 Closes: #88134
   * sgml manual example reminds about build-depends Closes: #95874
   * added DEB_BUILD_OPTIONS handling Closes: #126537
Files: 
 07b67b71cdb38a1c84570d40284837be 530 devel optional dh-make_0.29.dsc
 b2bca235d60343eeb4189b49207aa155 23672 devel optional dh-make_0.29.tar.gz
 4cd5b2cc16a371f1b411ceb7f2b1250c 26918 devel optional dh-make_0.29_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8auf4x2zlrBLK36URAux8AJ0fYJPHn34xEas0KX67eYk1zfHGFwCdFnYy
U6nUDi7xd22by7FRemBxbZ4=
=mDgG
-----END PGP SIGNATURE-----




Message #18 received at 97811-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@eye-net.com.au>
To: 97811-close@bugs.debian.org
Subject: Bug#97811: fixed in dh-make 0.29
Date: Thu, 14 Feb 2002 14:59:18 -0500
We believe that the bug you reported is fixed in the latest version of
dh-make, which has been installed in the Debian FTP archive:

dh-make_0.29.dsc
  to pool/main/d/dh-make/dh-make_0.29.dsc
dh-make_0.29.tar.gz
  to pool/main/d/dh-make/dh-make_0.29.tar.gz
dh-make_0.29_all.deb
  to pool/main/d/dh-make/dh-make_0.29_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 97811@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@eye-net.com.au> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2002 08:50:51 +1100
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.29
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@eye-net.com.au>
Description: 
 dh-make    - Debianizing Tool for debhelper
Closes: 88134 94890 95874 97399 97811 112032 113226 113228 113784 115567 115569 126537 126900 128944 129634 130721 132913 133639
Changes: 
 dh-make (0.29) unstable; urgency=low
 .
   * For packages with configure, install into /usr not /
     Closes: #97811, #113226, #133639, #128944
   * Uses dpkg-architecture Closes: #112032
   * If available, uses autotools-dev which updates config.guess, config.sub
     if needed.
   * lgpg is now lgpl in dh_make.1 Closes: #113228
   * Multi rules file has two build targets Closes: #115569
   * postrm.ex has missing exit 0 Closes: #126900
   * Removed citations of Debian Packaging Manual Closes: #94890
   * Fixed spelling error in rules files Closes: #97399
   * Updated native copyright to 2002 Closes: #132913
   * Renamed ex.doc-base.package to package.doc-base.ex Closes: #130721
   * More and better ldap searching for name and email Closes: #129634
   * Fixed control file for libs Closes: #113784
   * Manual example now just uses Debian distribution Closes: #115567
   * sgml manual example updated to docbook 4.1 Closes: #88134
   * sgml manual example reminds about build-depends Closes: #95874
   * added DEB_BUILD_OPTIONS handling Closes: #126537
Files: 
 07b67b71cdb38a1c84570d40284837be 530 devel optional dh-make_0.29.dsc
 b2bca235d60343eeb4189b49207aa155 23672 devel optional dh-make_0.29.tar.gz
 4cd5b2cc16a371f1b411ceb7f2b1250c 26918 devel optional dh-make_0.29_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8auf4x2zlrBLK36URAux8AJ0fYJPHn34xEas0KX67eYk1zfHGFwCdFnYy
U6nUDi7xd22by7FRemBxbZ4=
=mDgG
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org. Full text and rfc822 format available.

Message #23 received at 97811@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 97811@bugs.debian.org
Subject: reopen
Date: Sun, 17 Feb 2002 14:50:44 -0500
reopen 97811 !
retitle 97811 Example rules file should use DESTDIR= instead of prefix=
thanks

As has already been noted earlier in this bug, DESTDIR is the right way to
do this, and bugs like #134336 result when prefix= is used.

-- 
 - mdz



Bug reopened, originator set to Matt Zimmerman <mdz@debian.org>. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to csmall@eye-net.com.au (Craig Small):
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 97811@bugs.debian.org (full text, mbox):

From: csmall@eye-net.com.au (Craig Small)
To: Matt Zimmerman <mdz@debian.org>, 97811@bugs.debian.org
Subject: Re: Bug#97811: reopen
Date: Mon, 18 Feb 2002 08:28:25 +1100
unmerge 97811
tags 97811 wontfix
severity 97811 wishlist
close 113226
thankyou
On Sun, Feb 17, 2002 at 02:50:44PM -0500, Matt Zimmerman wrote:
> As has already been noted earlier in this bug, DESTDIR is the right way to
> do this, and bugs like #134336 result when prefix= is used.

Except a lot of Makefiles don't have it.  I'm not breaking something
that works.  If you can figure out a sure-firee way to make sure that
PREFIX does the right thing then I'll put it in.  I'll give you a hint,
grepping for PREFIX in a Makefile won't do it.


-- 
Craig Small VK2XLZ  GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
Eye-Net Consulting http://www.eye-net.com.au/        <csmall@eye-net.com.au>
MIEEE <csmall@ieee.org>                 Debian developer <csmall@debian.org>



Disconnected #97811 from all other report(s). Request was from csmall@eye-net.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from csmall@eye-net.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from csmall@eye-net.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org. Full text and rfc822 format available.

Message #43 received at 97811@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Craig Small <csmall@eye-net.com.au>
Cc: 97811@bugs.debian.org
Subject: Re: Bug#97811: reopen
Date: Sun, 17 Feb 2002 16:59:09 -0500
On Mon, Feb 18, 2002 at 08:28:25AM +1100, Craig Small wrote:

> On Sun, Feb 17, 2002 at 02:50:44PM -0500, Matt Zimmerman wrote:
> > As has already been noted earlier in this bug, DESTDIR is the right way
> > to do this, and bugs like #134336 result when prefix= is used.
> 
> Except a lot of Makefiles don't have it.  I'm not breaking something that
> works.  If you can figure out a sure-firee way to make sure that PREFIX
> does the right thing then I'll put it in.  I'll give you a hint, grepping
> for PREFIX in a Makefile won't do it.

That is reasonable.  By the same logic, though, you should leave out "make
install prefix=..." because it is definitely NOT certain to do the right
thing.  The presence of an executable file called './configure' doesn't even
necessarily imply the use of GNU autoconf, much less the use of a 'prefix'
variable.  That is entirely up to the author of the makefile.

I recommend inserting a commented-out line which shows how DESTDIR is used.
At least it is part of a useful standard, and has well-defined semantics.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Mikael Hedin <mikael.hedin@irf.se>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org. Full text and rfc822 format available.

Message #48 received at 97811@bugs.debian.org (full text, mbox):

From: Mikael Hedin <mikael.hedin@irf.se>
To: 97811@bugs.debian.org
Subject: From the automake manual:
Date: Sat, 23 Mar 2002 14:40:39 +0100
Hi, 

I just checked the automake manual, and DESTDIR is described at
http://www.gnu.org/manual/automake/html_node/automake_58.html#IDX440.

That means, if automake is used, DESTDIR will work.  So if there is a
Makefile.am use DESTDIR.  Simple.

/Micce

-- 
Mikael Hedin, MSc                   +46 (0)980 79176
Swedish Institute of Space Physics  +46 (0)8 344979 (home)
Box 812, S-981 28 KIRUNA, Sweden    +46 (0)70 5891533 (mobile)
[gpg key fingerprint = 387F A8DB DC2A 50E3 FE26  30C4 5793 29D3 C01B 2A22]




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org:
Bug#97811; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to csmall@eye-net.com.au (Craig Small):
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, dh-make@packages.qa.debian.org. Full text and rfc822 format available.

Message #53 received at 97811@bugs.debian.org (full text, mbox):

From: csmall@eye-net.com.au (Craig Small)
To: Mikael Hedin <mikael.hedin@irf.se>, 97811@bugs.debian.org
Subject: Re: Bug#97811: From the automake manual:
Date: Mon, 25 Mar 2002 08:08:06 +1100
On Sat, Mar 23, 2002 at 02:40:39PM +0100, Mikael Hedin wrote:
> I just checked the automake manual, and DESTDIR is described at
> http://www.gnu.org/manual/automake/html_node/automake_58.html#IDX440.
> 
> That means, if automake is used, DESTDIR will work.  So if there is a
> Makefile.am use DESTDIR.  Simple.

Sounds like a good idea!  I'll implement that in the next release.

  - Craig
-- 
Craig Small VK2XLZ  GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
Eye-Net Consulting http://www.eye-net.com.au/        <csmall@eye-net.com.au>
MIEEE <csmall@ieee.org>                 Debian developer <csmall@debian.org>



Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Zimmerman <mdz@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 97811-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 97811-close@bugs.debian.org
Subject: Bug#97811: fixed in dh-make 0.33
Date: Tue, 04 Mar 2003 19:47:09 -0500
We believe that the bug you reported is fixed in the latest version of
dh-make, which is due to be installed in the Debian FTP archive:

dh-make_0.33.dsc
  to pool/main/d/dh-make/dh-make_0.33.dsc
dh-make_0.33.tar.gz
  to pool/main/d/dh-make/dh-make_0.33.tar.gz
dh-make_0.33_all.deb
  to pool/main/d/dh-make/dh-make_0.33_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 97811@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  5 Mar 2003 08:32:52 +1100
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.33
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 dh-make    - Debianizing Tool for debhelper
Closes: 97811 112548 138785 158537 173062 176838 177512 182484 183053 183067
Changes: 
 dh-make (0.33) unstable; urgency=low
 .
   * Uses debian/compat and it is 4 Closes: #183067, #158537
   * Uses dh_install instead of movefiles
   * Added newline to debiank/control Closes: #177512
   * Uses getent to get users name Closes: #176838
   * Conflicts with ancient ldap utils Closes: #173062
   * doc-base example uses package.doc-base.EX Closes: #138785
   * Uses DESTDIR instead of prefix for automaked packages
     Closes: #97811, #112548
   * Better error messages Closes: #183053
   * GNU/Linux has been removed, its just Debian now Closes: #182484
Files: 
 85210d3f98bd87faa5c9c145710154d1 487 devel optional dh-make_0.33.dsc
 d41e86a79fcfd70a0282709d5db44a06 28732 devel optional dh-make_0.33.tar.gz
 0221f5f0a5aa84484a6eba41df7ded6f 31542 devel optional dh-make_0.33_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+ZUU2x2zlrBLK36URAj8YAJ0UjE8ySKx1QDSWHF2j2Fw5837VgQCbBqCh
blh7EPOKK/cCfLMMveVixsc=
=lkd3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:17:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.